@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap');

.navbar-nav {
    position: relative;
}

.navbar-nav ul {
    margin: 0;
    padding: 0;
    text-align: center;
}

.navbar-nav li {
    list-style: none;
    display: block;
    margin: 0;
    padding: 0;
    position: relative;
    line-height: normal;
    vertical-align: middle;
}

.navbar-nav li a {
    padding: 15px;
    display: block;
    text-decoration: none;
    -webkit-transition: all .3s ease-out;
    -moz-transition: all .3s ease-out;
    transition: all .3s ease-out;
}

.navbar-nav > ul > li {
    display: inline-block;
}

.navbar-nav > ul > li > a {
    padding: 20px 23px;
    font-size: 16px;
    font-weight: bold;
    color: #333;
    font-family: 'Open Sans', sans-serif;
    position: relative;
}

@media screen and (min-width:992px) and (max-width:1400px) {
    .navbar-nav > ul > li > a {
        padding: 20px 12px;
        font-size: 14px;
        font-weight: bold;
        color: #333;
        position: relative;
    }
}

.navbar-nav > ul >  li > a::before {
    position: absolute;
    content: "";
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-top: 12px solid #E3170A;
    left: 0;
    bottom: -12px;
    z-index: 999;
    opacity: 0;
}

.navbar-nav > ul >  li > a:hover::before {
    opacity: 1;
}

.navbar-nav > ul > li > a:hover {
    background-color: #E3170A;
    color: #fff !important;
	text-decoration: none;
}

.navbar-nav > ul > li.active > a {
    color: #E3170A;
	text-decoration: underline;
}

@media only screen and (max-width:992px) {
    .navbar-nav > ul >  li > a::before {
        display: none;
    }

    .navbar-nav > ul > li > a:hover {
        background-color: transparent;
        color: #E3170A !important;
    }
}

.navbar-nav ul ul {
    min-width: 240px;
    margin: 0;
    padding: 20px;
    display: none;
    position: absolute;
    list-style: none;
    z-index: 98;
    white-space: nowrap;
    box-shadow: 0 33px 32px rgb(0 0 0 / 10%);
    background-color: #fff;
    top: auto;
    text-align: left;
}

.navbar-nav ul ul li a {
    padding: 8px 0px;
    font-size: 16px;
    font-weight: bold;
    color: #333;
    font-family: 'Open Sans', sans-serif;
}

.navbar-nav.desktop > ul > li.mega > ul > li > a {
    display: none;
}

.navbar-nav ul ul li a:hover:not(.dd-toggle) {
    color: #E3170A;
}

.navbar-nav li li {
    display: block;
}

.navbar-nav ul ul ul:not(.mega-inner) {
    top: 0;
    left: 180px;
    display: none !important;
    visibility: hidden;
    opacity: 0;
}

.navbar-nav > ul > li:hover > ul > li:hover > ul {
    opacity: 0;
    visibility: hidden;
    top: 0;
    display: none !important;
}

.navbar-nav > ul > li.drop-left > ul {
    right: 0;
}

.navbar-nav li.drop-left ul ul {
    left: auto;
    right: 180px;
}

body.navbar-nav-noscroll-x {
    overflow-x: hidden;
}

.nav-overlay {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    opacity: 0;
    visibility: hidden;
    z-index: 998;
    background-color: rgba(0, 0, 0, 0.8);
    transition: 0.2s all;
    display: none;
}

.navbar-nav.hide-arrows li.has-sub > a:after, .navbar-nav.hide-arrows li li.has-sub > a:after, .navbar-nav.hide-arrows li.drop-left li.has-sub > a:after {
    display: none;
}

.navbar-nav .menu-toggle, .navbar-nav .close-menu, .navbar-nav .call-btn-mobile, .navbar-nav .location-btn-mobile {
    display: none;
    text-transform: uppercase;
    text-decoration: none;
}

.navbar-nav .dd-toggle {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    padding: 0;
    width: 60px;
    height: 50px;
    text-align: center;
    z-index: 9;
    border: 0;
}

.navbar-nav.desktop.hide-arrows li.has-sub a {
    padding-right: 15px;
}

.navbar-nav.mobile > ul > li > a.dd-toggle {
    padding: 0;
    border-bottom: none;
}

.navbar-nav li.call-btn-mobile, .navbar-nav li.location-btn-mobile {
    display: none;
}

.navbar-nav svg {
    fill: currentColor;
    width: 1em;
    height: 1em;
    position: relative;
    top: 2px;
}

.navbar-nav a.dd-toggle .icon-plus {
    line-height: 52px;
}

.navbar-nav a.dd-toggle .icon-plus:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 0;
    height: 0;
    border-width: 9px 0 9px 15.6px;
    border-color: transparent transparent transparent #444;
    border-style: solid;
}

.navbar-nav li.open > a.dd-toggle .icon-plus:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 0;
    height: 0;
    border-width: 15.6px 9px 0 9px;
    border-color: #E3170A transparent transparent transparent;
    border-style: solid;
}

.navbar-nav li.open > a {
    color: #E3170A;
    text-decoration: underline;
}

.nav-toggle {
    display: none;
}

.navbar-nav.mobile {
    position: static;
}

.navbar-nav.mobile.fixed {
    position: static;
}

.navbar-nav.mobile.active .nav-overlay {
    opacity: 1;
    visibility: visible;
}

.navbar-nav.mobile ul {
    position: relative;
}

.navbar-nav.mobile.active {
    padding-bottom: 0;
}

.navbar-nav.mobile.active > ul {
    display: block;
}

.navbar-nav.mobile ul {
    text-align: left;
}

.navbar-nav.mobile ul ul {
    box-shadow: none;
    border-top: none;
}

.navbar-nav.mobile > ul > li {
    display: block;
}

.navbar-nav.mobile > ul > li > a {
    padding: 15px;
}

@media screen and (min-width:0px) and (max-width:991.98px) {
    .navbar-nav.mobile > ul > li > a {
        padding: 15px 22px;
        font-size: 14px;
        font-weight: bold;
    }
    .navbar-nav.mobile > ul > li > a[aria-current="page"]{
        color: #E3170A;
        text-decoration: underline;
    }

}

.navbar-nav.mobile > ul > li {
    background: rgb(255 255 255);
}

.navbar-nav.mobile ul ul {
    position: relative;
    opacity: 1;
    visibility: visible;
    width: auto;
    display: none;
    -moz-transition: none;
    -webkit-transition: none;
    -o-transition: color 0 ease-in;
    transition: none;
    background-color: #ededed;
}

.navbar-nav.mobile ul ul ul {
    left: auto;
    top: auto;
}

.navbar-nav.mobile li.drop-left ul ul {
    right: auto;
}

.navbar-nav.mobile li:not(:last-child) a {
    border-bottom: solid 2px #DBDBDB;
}

.navbar-nav.mobile ul ul a:not(.dd-toggle) {
    border-bottom: solid 2px #dbdbdb;
    padding: 12px 22px;
    font-size: 14px;
    font-weight: 400;
}

.navbar-nav.mobile ul ul a:not(.dd-toggle)[aria-current="page"],
.navbar-nav.mobile > ul > li.active > a{
    color: #E3170A !important;
    text-decoration: underline !important;
}

.navbar-nav.mobile ul ul {
    padding: 0;
}

.navbar-nav.mobile .menu-toggle, .navbar-nav.mobile .dd-toggle, .navbar-nav.mobile .close-menu, .navbar-nav.mobile .call-btn-mobile, .navbar-nav.mobile .location-btn-mobile {
    display: inline-block;
}

.navbar-nav.mobile.top {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 9999;
}

.navbar-nav.mobile li.has-sub > a:after, .navbar-nav.mobile li li.has-sub > a:after, .navbar-nav.mobile li.drop-left li.has-sub > a:after {
    display: none;
}

.navbar-nav.mobile.right > ul, .navbar-nav.mobile.left > ul {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    z-index: 999;
    transition: 0.4s ease-out;
    -webkit-overflow-scrolling: touch;
}

.navbar-nav.mobile.right .close-menu, .navbar-nav.mobile.left .close-menu {
    display: block;
    text-align: right;
    padding: 10px 15px;
    background-color: #DBDBDB;
    font-size: 20px;
    color: #000;
    display: none;
}

.navbar-nav.mobile.left > ul {
    opacity: 0;
    visibility: hidden;
    border-top: 2px solid #dbdbdb;
}

/*
.navbar-nav.mobile.left > ul >li:last-child {
    background-color: #E3170A;
}

.navbar-nav.mobile.left > ul > li:last-child > a {
    color: #fff;
}


.navbar-nav.mobile.left > ul > li:last-child > a.dd-toggle .icon-plus:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 0;
    height: 0;
    border-width: 9px 0 9px 15.6px;
    border-color: transparent transparent transparent #fff;
    border-style: solid;
}

.navbar-nav.mobile.left > ul > li.open:last-child > a.dd-toggle .icon-plus:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 0;
    height: 0;
    border-width: 15.6px 9px 0 9px;
    border-color: #fff transparent transparent transparent;
    border-style: solid;
}
*/
.navbar-nav.mobile.right .location-btn-mobile.half, .navbar-nav.mobile.right .call-btn-mobile.half, .navbar-nav.mobile.right .close-menu.half {
    text-align: center;
}

.navbar-nav.mobile.right .location-btn-mobile.third, .navbar-nav.mobile.right .call-btn-mobile.third, .navbar-nav.mobile.right .close-menu.third {
    text-align: center;
}

.navbar-nav.mobile.left .location-btn-mobile.half, .navbar-nav.mobile.left .call-btn-mobile.half, .navbar-nav.mobile.left .close-menu.half {
    text-align: center;
}

.navbar-nav.mobile.left .location-btn-mobile.third, .navbar-nav.mobile.left .call-btn-mobile.third, .navbar-nav.mobile.left .close-menu.third {
    text-align: center;
}

.navbar-nav.mobile.left .menu-toggle.half, .navbar-nav.mobile.left .menu-toggle.third, .navbar-nav.mobile.right .menu-toggle.half, .navbar-nav.mobile.right .menu-toggle.third {
    text-align: left;
}

.navbar-nav.mobile.left .close-menu.third span, .navbar-nav.mobile.right .close-menu.third span {
    display: none;
}

.navbar-nav.mobile.left.active > ul {
    opacity: 1;
    visibility: visible;
}

.navbar-nav.mobile.right.active > ul {
     opacity: 1;
    visibility: visible;
}

.navbar-nav.desktop li.mega ul ul {
    background: none;
    border: none;
    box-shadow: none;
}

.navbar-nav.desktop li.mega>ul>li {
    width: 100% !important;
}

.navbar-nav .mega ul li .mega-inner {
    position: relative;
    top: 0;
    left: 0;
    max-width: 100%;
    opacity: 1;
    min-width: 1px;
    padding: 0;
    display: block;
}

.navbar-nav .mega ul li .mega-inner li.item-547 {
    margin: 20px;
}

.navbar-nav.desktop li.mega li {
    display: inline-block;
    vertical-align: top;
    margin-left: 0px;
}

.navbar-nav.desktop li.mega li li {
    display: block;
    position: relative;
    left: 4px;
}

.navbar-nav.desktop li.mega ul ul {
    width: auto;
}

.navbar-nav.desktop > ul > li.mega {
    position: inherit;
}

.navbar-nav.desktop > ul > li.mega > ul {
  width: 100%;
  padding: 20px 25px;
  max-width: 1400;
}

.navbar-nav.desktop > ul > li.mega > ul li.has-sub ul {
    display: block;
    position: relative;
    left: auto;
}

.navbar-nav.desktop li.mega li li a {
    padding: 5px 0px;
    border: none;
    font-size: 16px;
    font-weight: bold;
    color: #333;
}

.navbar-nav.desktop li.mega li li a:hover {
    color: #E3170A;
}
.navbar-nav.desktop ul ul li.active a {
  color: #E3170A;
  text-decoration: underline;
}
.navbar-nav.desktop li.mega li.has-sub a:after {
    display: none;
}

.navbar-nav.desktop > ul > li.mega > ul > li > a {
    font-weight: bold;
    border: none;
}

@media only screen and (max-width:992px) {
    .navbar-nav {
        overflow: hidden;
        display: block;
    }

    .navbar-nav ul {
        position: relative;
    }

    .nav-toggle {
        display: inline;
    }

    .navbar-nav.mobile .call-btn-mobile.third span, .navbar-nav.mobile .location-btn-mobile.third span {
        display: none;
    }

    .navbar-nav .mega ul li .mega-inner .image {
        display: none;
    }

    .navbar-nav.mobile.left > ul {
        top: 82px;
        max-height: calc(100% - 82px);
        height: max-content;
        border: 3px solid #444444;
        border-top-color: #ea2500;
    }

}

@media only screen and (max-width:767px) {
    .navbar-nav.mobile.left > ul {
        top: 60px;
        height: max-content;
        max-height: calc(100% - 60px);
    }

}
